import com.j256.ormlite.dao.Dao;
import com.j256.ormlite.support.ConnectionSource;

import java.sql.SQLException;
import java.util.List;

public class AccountService {


    private Dao<Account,Integer> dao;
    private Console c = new Console();


    public AccountService(Dao<Account, Integer>dao){

        this.dao = dao;

    }
    public String updateInputString(){
        String updateInput = c.printingOutAStringInput("1: Update Name \n"
        + "2: Update Password"
        + "Select by number (any other number to return to Main Menu): ");

        return updateInput;
    }

    public int create(Account creatingAcc) throws Exception {
        return dao.create(creatingAcc);
    }

    public List<Account> read() throws Exception {
        return dao.queryForAll();
    }


    public Account createNewAccount() {

        String username = c.printingOutAStringInput("Enter your username!:");
        String passw = c.printingOutAStringInput("Enter your password!:");

        Account account = new Account(username);
        account.setPassword(passw);

        return account;
    }

    public void updatingMenu(Account acc, String s) throws Exception {
        if(s.equals("1")){

            String newName = c.printingOutAStringInput("Input your new username!:");
            updateName(acc, newName);
        } else if (s.equals("2")){

            String newPass = c.printingOutAStringInput("Input your new pass!:");
            updatePass(acc, newPass);

        }else{

            c.print("Back to the menu!...\n");

        }
    }

    public int askingForId(){

        int requestingId = c.printAndNextInt("What Id you wanna change?");
        return requestingId;

    }

    public int deletingOneAcc(Account a) throws Exception{

        return dao.delete(a);

    }

    public void readingAllTheAccounts(List<Account> wow){

        c.headingHeader();
        for(Account a : wow){
            c.printingFormatedText(a.getId(),a.getName(),a.getPassword());
        }
    }
    public void updateName (Account acc, String name) throws Exception{

        acc.setName(name);
        dao.update(acc);

    }

    public void updatePass (Account acc, String name) throws Exception{

        acc.setName(name);
        dao.update(acc);

    }

    public int menuDestroying() throws Exception{

        int destroyID = c.printAndNextInt("Exterminate the ID");
        if(getById(destroyID) != null){
            return destroyID;

        }
        return -1;
    }

    public Account getById(int id) throws Exception{
        return dao.queryForId(id);
    }

    public void fullUppdatingMenu() throws Exception {

        readingAllTheAccounts(read());
        String option = updateInputString();
        int requestedId = askingForId();
        updatingMenu(getById(requestedId),option);

    }

    public void deleteEverythingInTheMenu() throws Exception {
        readingAllTheAccounts(read());
        int destroyIT = menuDestroying();
        deletingOneAcc(getById(destroyIT));
    }

}
