import java.util.Scanner;

public class Console {

   private Scanner in;

   public Console(Scanner in){

       this.in = in;
   }

    public Console(){

       in = new Scanner(System.in);
    }

    public String printingOutAStringInput(String s) {

        System.out.println(s);
        return in.next();

    }

    public void printingFormatedText(int id, String name, String pass){
        System.out.println(String.format("*%10s* *%15s* *%15s*",id,name,pass));
    }

    public void headingHeader(){
        System.out.println("Displaying Accounts:\n");
        System.out.println(String.format("✿%10s✿ ✿%15s✿ ✿%15s✿", "ID","Name","Pass"));
        System.out.println("★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★★");

    }

    public int nextInt(){

       return in.nextInt();

    }


    public String line(){
       return in.nextLine();
    }

    public void goodByeAll(){

        System.out.println("✿✿✿✿✿✿ Goodbye all! ✿✿✿✿✿✿");
    }

    public int printAndNextInt(String s){

        System.out.println(s);
        return in.nextInt();

    }

    public void print(String s) {

       System.out.println(s);
    }

    public void printMenu() {
        System.out.println("Menu Screen: \n"
                + "1: New Account - Like it saids\n"
                + "2: Read - Listing all the accounts \n"
                + "3: Update - Update an existing account \n"
                + "4: Deleting - Existing accounts are now deleted \n"
                + "5: Quit - Exit the menu \n");

    }

}
